%def_disable rpath
%def_with pic
%def_disable devel
%def_disable debug
%def_disable warnings
%def_disable profile
%def_disable final
%def_enable mt
%def_enable threading
%def_enable shared
%def_disable static
%def_enable largefile
%def_enable ntfs
%def_enable ext3fs
%def_enable jfs
%def_enable xfs
%def_enable reiserfs
%def_enable labels


%define Name QtParted
Name: qtparted
Version: 0.4.5
Release: alt20
Group: System/Configuration/Hardware
Summary: Flexible GUI partitioning tool
Summary(ru_RU.CP1251):        
Summary(uk_UA.CP1251):        
License: GPL
URL: http://%name.sourceforge.net/
Source0: %name-%version.tar.bz2
Source1: %name-pam
Source2: %name-security
Source3: %{name}_ua.ts
Patch0: %name-0.4.5-libparted_1.7.patch
Patch1: %name-0.4.5-notable.patch
Patch2: %name-0.4.5-ide.patch
Patch3: %name-0.4.5-makefile.patch

BuildRequires: fontconfig libqt3-devel libXext-devel libXt-devel
BuildRequires: libparted-devel libstdc++-devel gcc-c++ zlib-devel
%{?_enable_ntfs:BuildRequires: ntfsprogs}
%{?_enable_ext3fs:BuildRequires: libe2fs-devel}
%{?_enable_jfs:BuildRequires: jfsprogs}
%{?_enable_xfs:BuildRequires: xfsprogs}
%{?_enable_reiserfs:BuildRequires: libprogsreiserfs-devel}

%description
%Name is a Partition Magic clone written in C++ using the Qt
toolkit, GUI partitioning tool. %Name is GNU Parted based. It's a
program that allows you to create, destroy, resize, move and copy hard
disk partitions. This is useful for creating space for new operating
systems, reorganising disk usage, and copying data to new hard disks.

%description -l ru_RU.CP1251
%Name    "Partition Magic" -- 
      
.    C++    Qt 
      Parted, 
  GNU.    , ,
,       .
%Name        
,         
  .

%description -l uk_UA.CP1251
%Name    C++    Qt  "Partition
Magic",        .
%Name   GNU Parted.  ,  
, , ,  ,   
 .         
 ,     
    .


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
subst 's/0\.4\.5-cvs/%version/g' configure.ac
install -m 0644  %SOURCE3 ts/%{name}_ua.ts


%build
%__aclocal
%__automake --add-missing --gnu
%__perl admin/am_edit
%__autoconf
%define _optlevel s
PATH=%_libdir/qt3/bin:$PATH \
%configure \
	%{subst_enable rpath} \
	%{subst_with pic} \
	%{subst_enable devel} \
%if_enabled debug
	--enable-debug=full --with-debug-level=1 \
%else
	--disable-debug --with-debug-level=0 \
%endif
	%{subst_enable warnings} \
	%{subst_enable profile} \
	--enable-new-ldflags \
	%{subst_enable final} \
	%{subst_enable mt} \
	%{subst_enable threading} \
	%{subst_enable shared} \
	%{subst_enable static} \
	%{subst_enable largefile} \
	%{subst_enable labels} \
	%{subst_enable ntfs} \
	%{subst_enable ext3fs} \
	%{subst_enable jfs} \
	%{subst_enable xfs} \
	%{subst_enable reiserfs} \
	--with-qt-dir=%_libdir/qt3

%make_build


%install
%make_install DESTDIR=%buildroot menudir=%_desktopdir install
install -D -m644 data/%name.xpm %buildroot%_iconsdir/%name.xpm
install -D -m644 data/qtparted_16.png %buildroot%_miconsdir/%name.png
install -D -m644 data/qtparted_64.png %buildroot%_liconsdir/%name.png

# usermode
install -pD -m640 %SOURCE1 %buildroot%_sysconfdir/pam.d/%name
install -pD -m640 %SOURCE2 %buildroot%_sysconfdir/security/console.apps/%name
install -d -m755 %buildroot%_bindir
ln -s %_bindir/consolehelper %buildroot%_bindir/%name

#menu
subst '/^Exec=/s/^.*$/Exec=%name/' %buildroot%_desktopdir/%name.desktop
iconv -f cp1251 -t utf-8 >> %buildroot%_desktopdir/%name.desktop <<__MENU__
Comment[ru]=     
Comment[ua]=     
__MENU__

%find_lang %name


%post
%update_menus


%postun
%clean_menus


%files -f %name.lang
%doc AUTHORS ChangeLog doc/README doc/BUGS doc/TODO.txt
%_bindir/*
%_sbindir/*
%_sysconfdir/pam.d/*
%_sysconfdir/security/console.apps/*
%_datadir/%name
%_man1dir/*	
%_pixmapsdir/*
%_iconsdir/%name.xpm
%_liconsdir/%name.png
%_miconsdir/%name.png
%_desktopdir/*


%changelog
* Mon Jul 23 2007 Led <led@altlinux.ru> 0.4.5-alt20
- fixed %name-0.4.5-ide.patch
- added %name-0.4.5-makefile.patch

* Fri Jul 20 2007 Led <led@altlinux.ru> 0.4.5-alt19
- updated %name-0.4.5-ide.patch

* Fri Jul 20 2007 Led <led@altlinux.ru> 0.4.5-alt18
- optimized %name-0.4.5-ide.patch

* Fri Jul 20 2007 Led <led@altlinux.ru> 0.4.5-alt17
- added %name-0.4.5-ide.patch (fixed #12346)
- cleaned up spec

* Mon May 14 2007 Led <led@altlinux.ru> 0.4.5-alt16
- rebuild with libparted-1.8.so.7

* Sun Mar 25 2007 Led <led@altlinux.ru> 0.4.5-alt15
- rebuild with libparted-1.8.so.6
- cleaned up spec

* Mon Mar 19 2007 Led <led@altlinux.ru> 0.4.5-alt14
- rebuild with libparted-1.8.so.4

* Tue Jan 16 2007 Led <led@altlinux.ru> 0.4.5-alt13
- rebuild with libparted-1.8.so.2

* Mon Dec 04 2006 Led <led@altlinux.ru> 0.4.5-alt12
- fixed %name.desktop

* Thu Nov 23 2006 Led <led@altlinux.ru> 0.4.5-alt11
- rebuild with new libparted
- added %name-0.4.5-notable.patch

* Tue Jul 18 2006 Led <led@altlinux.ru> 0.4.5-alt10
- fixed version
- fixed BuildRequires

* Tue May 30 2006 Led <led@altlinux.ru> 0.4.5-alt9
- enabled jfs again :)
- rebuilt with libparted-1.7.1

* Mon May 29 2006 Led <led@altlinux.ru> 0.4.5-alt8
- disbaled jfs because jfsprogs unmaintained now :(

* Tue May 23 2006 Led <led@altlinux.ru> 0.4.5-alt7
- fixed %name-0.4.5-libparted_1.7.patch

* Mon May 22 2006 Led <led@altlinux.ru> 0.4.5-alt6
- rebuild with libparted-1.7.0
- added %name-0.4.5-libparted_1.7.patch

* Mon May 22 2006 Led <led@altlinux.ru> 0.4.5-alt5
- fixed %%files
- fixed spec

* Wed Feb 15 2006 Led <led@altlinux.ru> 0.4.5-alt4
- added fixed %{name}_ua.ts

* Mon Jan 30 2006 Led <led@altlinux.ru> 0.4.5-alt3
- rebuild with libparted-1.6.25.1

* Tue Jan 26 2006 Led <led@altlinux.ru> 0.4.5-alt2
- enable reiserfs

* Mon Jan 23 2006 Led <led@altlinux.ru> 0.4.5-alt1
- use autoconf instead unsermake.
- uk_UA description and Summary.
- added %name.desktop

* Mon Sep 12 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.4.4-alt3.1
- rebuild with libparted.

* Mon Mar 21 2005 Vitaly Lipatov <lav@altlinux.ru> 0.4.4-alt3
- rebuild without reiserfs support

* Sun Feb 06 2005 Vitaly Lipatov <lav@altlinux.ru> 0.4.4-alt2
- fix menu
- add run with consolehelper
- update buildreqs

* Thu Sep 02 2004 ALT QA Team Robot <qa-robot@altlinux.org> 0.4.4-alt1.1
- Rebuilt with libparted-1.6.so.12.

* Fri Jun 11 2004 Vitaly Lipatov <lav@altlinux.ru> 0.4.4-alt1
- new version
- cleanup spec, update requires (bug #4318)

* Sun Feb 29 2004 Alexander Nekrasov <canis@altlinux.ru> 0.4.0-alt1
- first build
